| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Static Public Member Functions | List of all members
Tp::BaseChannelServerAuthenticationType Class Reference
Connection manager service implementation

Base class for implementations of Channel.Type.ServerAuthentifcation. More...

`#include <TelepathyQt/BaseChannel>`

Inherits Tp::AbstractChannelInterface.

## Public Member Functions

virtual | ~BaseChannelServerAuthenticationType ()
QVariantMap | immutableProperties () const
Public Member Functions inherited from Tp::AbstractChannelInterface
| AbstractChannelInterface (const QString &interfaceName)
virtual | ~AbstractChannelInterface ()
Public Member Functions inherited from Tp::AbstractDBusServiceInterface
| AbstractDBusServiceInterface (const QString &interfaceName)
virtual | ~AbstractDBusServiceInterface ()
QString | interfaceName () const
DBusObject * | dbusObject () const
bool | isRegistered () const
bool | notifyPropertyChanged (const QString &propertyName, const QVariant &propertyValue)
Public Member Functions inherited from Tp::Object
virtual | ~Object ()
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()

## Static Public Member Functions

static BaseChannelServerAuthenticationTypePtr | create (const QString &authenticationMethod)
template<typename BaseChannelServerAuthenticationTypeSubclass >
static SharedPtr < BaseChannelServerAuthenticationTypeSubclass > | create (const QString &authenticationMethod)

## Additional Inherited Members

Signals inherited from Tp::Object
void | propertyChanged (const QString &propertyName)
Protected Member Functions inherited from Tp::AbstractDBusServiceInterface
virtual bool | registerInterface (DBusObject *dbusObject)
Protected Member Functions inherited from Tp::Object
| Object ()
void | notify (const char *propertyName)

## Detailed Description

Base class for implementations of Channel.Type.ServerAuthentifcation.

## Constructor & Destructor Documentation

Tp::BaseChannelServerAuthenticationType::~BaseChannelServerAuthenticationType | ( |  | ) |

virtual

Class destructor.

## Member Function Documentation

static BaseChannelServerAuthenticationTypePtr Tp::BaseChannelServerAuthenticationType::create | ( | const QString & | authenticationMethod | ) |

inline static

template<typename BaseChannelServerAuthenticationTypeSubclass >

static SharedPtr<BaseChannelServerAuthenticationTypeSubclass> Tp::BaseChannelServerAuthenticationType::create | ( | const QString & | authenticationMethod | ) |

inline static

QVariantMap Tp::BaseChannelServerAuthenticationType::immutableProperties | ( |  | ) | const

virtual

Return the immutable properties of this interface.

Immutable properties cannot change after the interface has been registered on a service on the bus with registerInterface().

Returns
  The immutable properties of this interface.

Implements Tp::AbstractDBusServiceInterface.